Bug 71765 - mkbootdisk can not make boot image as a file.
mkbootdisk can not make boot image as a file.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkbootdisk (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-18 07:57 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 01:52:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-18 07:57:54 EDT
Currently mkbootdisk can not make boot image as a file.
It would be nice if 

 mkbootdisk --device file.img 2.4.18-5

would save image to file.
(in a similar way as syslinux does)

The required changes in mkbootdisk are very simple.

For example this "quick hack" allows saving a boot image to a file.

1. take any existing image, like boot.img and copy it to file.img
2. edit mkbootdisk 
    and replace in /sbin/mkbootdisk
mount -t vfat $device $MOUNTDIR
by
mount -o loop -t vfat $device $MOUNTDIR

After this "quick hack" (which only demostrates the
simplicity of the new functionality implementation)
mkbootdisk writes a boot image to file.img

So all the infrastructure is already there,
only few little changes in option parsing 
are required to make it working in a nice clean way.
Comment 1 Jeremy Katz 2003-02-19 01:52:17 EST
If you use a non-existent file at least as of 1.5.0, this will work and create
the file for you. 

Note You need to log in before you can comment on or make changes to this bug.